package com.key.simplekeyboard.data;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

@Dao
public interface MyDAO {
    @Query("SELECT * FROM keyboard_table")
    List<Otherdata> getAll();

    @Query("select * from keyboard_table where title =:title ")
    List<Otherdata> getsearchlist(String title);
    @Query("select * from keyboard_table where preview =:pre ")
    List<Otherdata> checklikelist(String pre);
    @Query("select * from keyboard_table where className =:classname ")
    List<Otherdata> getotherlist(String classname);
    @Query("SELECT * FROM keyboard_table WHERE islike = :islike")
    List<Otherdata> getlikelist(boolean islike);

    @Insert
    void insertAll(List<Otherdata> likeDataList);

    @Update
    void update(Otherdata otherdata);
}
